curl --request GET \
--url https://api.cloudglue.dev/v1/frames/{frame_extraction_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.cloudglue.dev/v1/frames/{frame_extraction_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.cloudglue.dev/v1/frames/{frame_extraction_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"frame_extraction_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "pending",
"created_at": 1,
"file_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"frame_extraction_config": {
"strategy": "uniform",
"uniform_config": {
"frames_per_second": 15.05,
"max_width": 2080
},
"thumbnails_config": {
"enable_frame_thumbnails": true
},
"start_time_seconds": 1,
"end_time_seconds": 1
},
"frame_count": 1,
"data": {
"object": "list",
"total": 123,
"limit": 123,
"offset": 123,
"frames": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"timestamp": 123,
"thumbnail_url": "<string>"
}
]
}
}{
"error": "<string>"
}{
"error": "<string>"
}Get Frame Extraction
Retrieve details about a specific frame extraction including its frames
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The ID of the frame extraction to retrieve
Query Parameters
Number of frames to return
1 <= x <= 100Offset from the start of the frames list
x >= 0Response
Frame extraction details
Unique identifier for the frame extraction job
Status of the frame extraction job
pending, processing, completed, failed Unix timestamp in milliseconds when the frame extraction was created
x >= 0ID of the file this frame extraction belongs to
Configuration for frame extraction. Currently only supports uniform strategy.
Show child attributes
Show child attributes
Total number of frames extracted (only present when status is completed)
x >= 0Frame data with pagination (only present when status is completed and frames exist)
Show child attributes
Show child attributes